import React from 'react'
import { render } from 'react-dom'
import { Provider } from 'react-redux'
import { applyMiddleware, createStore } from 'redux'
import markdownApp from './reducers'
import App from './components/App'

import createLogger from 'redux-logger'

const logger = createLogger()
const createStoreWithMiddleware = applyMiddleware(logger)(createStore)
const store = createStoreWithMiddleware(markdownApp)

render(
  <Provider store={store}>
    <App />
  </Provider>,
  document.getElementById('container')
)
