import React from 'react'
import { render } from 'react-dom'
import { Provider } from 'react-redux'
import { createStore } from 'redux'
import todoApp from './reducers'
import * as actions from './actions'
import App from './components/App'

const initialState = {
  visibilityFilter: 'SHOW_ALL',
  todos: [
    {
      text: 'WEB+DB PRESSの原稿書く',
      completed: true
    },
    {
      text: '燃えるゴミを捨てる',
      completed: false
    }
  ]
}

const store = createStore(todoApp, initialState)

store.dispatch(actions.addTodo('電球を替える'))
store.dispatch(actions.addTodo('公共料金を払う'))
store.dispatch(actions.completeTodo(2))

render(
  <Provider store={store}>
    <App />
  </Provider>,
  document.getElementById('container')
)
