import { createStore } from 'redux'

// Action Creator
function addTodo(text) {
  return { type: 'ADD_TODO', text }
}

function completeTodo(id) {
  return { type: 'COMPLETE_TODO', id }
}

function setVisibilityFilter(filter) {
  return { type: 'SET_VISIBILITY_FILTER', filter }
}

// Reducer
function todoApp(state, action) {
  switch(action.type) {
  case 'ADD_TODO':
    return state
  case 'COMPLETE_TODO':
    return state
  case 'SET_VISIBILITY_FILTER':
    return state
  default:
    return state
  }
}

const initialState = {
  visibilityFilter: 'SHOW_ALL',
  todos: [
    {
      text: 'WEB+DB PRESSの原稿書く',
      completed: true
    },
    {
      text: '燃えるゴミを捨てる',
      completed: false
    }
  ]
}

const store = createStore(todoApp, initialState)
store.subscribe(() => console.log(store.getState()))

store.dispatch(addTodo('電球を替える'))
store.dispatch(addTodo('公共料金を払う'))
store.dispatch(completeTodo(2))
store.dispatch(setVisibilityFilter('SHOW_COMPLETED'))
