import { applyMiddleware, createStore } from 'redux'
import createLogger from 'redux-logger'

// Action Creator
function addTodo(text) {
  return { type: 'ADD_TODO', text }
}

function completeTodo(id) {
  return { type: 'COMPLETE_TODO', id }
}

function setVisibilityFilter(filter) {
  return { type: 'SET_VISIBILITY_FILTER', filter }
}

// Reducer
function todoApp(state, action) {
  switch(action.type) {
  case 'ADD_TODO':
    return state
  case 'COMPLETE_TODO':
    return state
  case 'SET_VISIBILITY_FILTER':
    return state
  }
  return state
}

const initialState = {
  visibilityFilter: 'SHOW_ALL',
  todos: [
    {
      text: 'Web+DB PRESSの原稿書く',
      completed: true
    },
    {
      text: '燃えるゴミを捨てる',
      completed: false
    }
  ]
}

const logger = createLogger()

const store = createStore(
  todoApp, 
  initialState, 
  applyMiddleware(logger)
)

store.dispatch(addTodo('電球を変える'))
store.dispatch(addTodo('公共料金を払う'))
store.dispatch(completeTodo(2))
store.dispatch(setVisibilityFilter('SHOW_COMPLETED'))
